apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: session-process-app-manager
build:
  artifacts:
    - image: registry.gitlab.com/blauwe-knop/vorderingenoverzicht/session-process
      docker:
        dockerfile: Dockerfile
  local:
    useBuildkit: true
    concurrency: 0
deploy:
  statusCheck: false
  helm:
    releases:
      - name: session-process-app-manager
        chartPath: helm
        namespace: bk-app-manager-organization
        setValues:
          ingress:
            hosts:
              - host: session-api.app-manager.vorderingenoverzicht.blauweknop.bk
                paths:
                  - path: /
                    pathType: Prefix
                backend:
                  service:
                    name: session-process
                    port:
                      name: http
          env:
            - name: SCHEME_DISCOVERY_URL
              value: "http://scheme-process.scheme-manager.vorderingenoverzicht.blauweknop.bk/v1"
            - name: SESSION_SERVICE_ADDRESS
              value: "http://session-service:8008/v1"
            - name: SESSION_SERVICE_API_KEY
              value: "session-service-api-key"
            - name: BK_CONFIG_SERVICE_ADDRESS
              value: "http://bk-config-service:8008/v1"
            - name: BK_CONFIG_SERVICE_API_KEY
              value: "bk-config-service-api-key"
            - name: LOG_LEVEL
              value: debug
